vim.cmd [[packadd packer.nvim]]

return require('packer').startup(function(use)
	-- Packer can manage itself
	use('wbthomason/packer.nvim')

	-- LSP
	use('neovim/nvim-lspconfig')

	-- colorschemes
	use('ayu-theme/ayu-vim')
	use('morhetz/gruvbox')
	use('dikiaap/minimalist')
	use('jacoborus/tender.vim')
	use('jpo/vim-railscasts-theme')
	use('rainux/vim-desert-warm-256')
	use('ajmwagar/vim-deus')

	-- airline
	use('vim-airline/vim-airline')
	use('vim-airline/vim-airline-themes')

	-- Git
	use('tpope/vim-fugitive')

	-- NerdTree stuff
	use('preservim/nerdtree')
	use('Xuyuanp/nerdtree-git-plugin')
	use('ryanoasis/vim-devicons')

	-- SuperTab
	use('ervandew/supertab')
	
	-- Auto-Complete
--	use('ncm2/ncm2')
--	use('roxma/nvim-yarp')
--	-- enable ncm2 for all buffers
--	-- autocmd BufEnter * call ncm2#enable_for_buffer()
--	-- IMPORTANT: :help Ncm2PopupOpen for more information
--	-- set completeopt=noinsert,menuone,noselect
--	use('ncm2/ncm2-bufword') -- Basic completion
--	use('ncm2/ncm2-path') -- Path completion
--	use('ncm2/ncm2-jedi') -- Python completion

	-- better auto complete maybe
	use('hrsh7th/cmp-nvim-lsp')
	use('hrsh7th/cmp-nvim-lua')
	use('hrsh7th/cmp-buffer')
	use('hrsh7th/cmp-path')
	use('hrsh7th/nvim-cmp')
	use('saadparwaiz1/cmp_luasnip')
	-- Slime, for tmux repl-ing
	use('jpalardy/vim-slime')

	-- Telescope, fuzzy finding
	use('nvim-lua/plenary.nvim')
	use('nvim-telescope/telescope.nvim')
	use {'nvim-telescope/telescope-fzf-native.nvim', run = 'make' }
	use( "nvim-telescope/telescope-file-browser.nvim")

	-- Treesitter
	--	use('nvim-treesitter/nvim-treesitter')

	-- Devicons
	use('kyazdani42/nvim-web-devicons')
end)
